Package com.salesforce.hyperdb.grpc

## Interface CancelQueryParamOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `CancelQueryParam`, `CancelQueryParam.Builder`

    public interface CancelQueryParamOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getQueryId()` `string query_id = 1;`
`com.google.protobuf.ByteString` `getQueryIdBytes()` `string query_id = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getQueryId

    String getQueryId()

`string query_id = 1;`

Returns:
  The queryId.

#### getQueryIdBytes

    com.google.protobuf.ByteString getQueryIdBytes()

`string query_id = 1;`

Returns:
  The bytes for queryId.